New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

can't build gpodder-3.10.0 on Crux linux #376

Closed
timcowchip opened this Issue Jan 4, 2018 · 6 comments

Comments

Projects
None yet
4 participants
@timcowchip

timcowchip commented Jan 4, 2018

gpodder Pkgfile >> https://pastebin.com/h6iHwNF6

Traceback (most recent call last):
File "setup.py", line 31, in
main_module = open('src/gpodder/init.py').read()
File "/usr/lib/python3.6/encodings/ascii.py", line 26, in decode
return codecs.ascii_decode(input, self.errors)[0]
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc2 in position 1008: ordinal not in range(128)
make: *** [makefile:85: install] Error 1

@elelay

This comment has been minimized.

Member

elelay commented Jan 7, 2018

Is it possible to ensure you have set an UTF-8 locale before building?

@therealfun

This comment has been minimized.

therealfun commented Jan 7, 2018

@timcowchip , make sure you export "LANG=en_US.UTF-8" not "LANG=en_US.utf8".

@timcowchip

This comment has been minimized.

timcowchip commented Jan 8, 2018

Thanks therealfun, I change it to "UTF8". gPodder-3.10 still won't build

@adamvoss

This comment has been minimized.

Member

adamvoss commented Jan 8, 2018

@timcowchip Hate to be a pedant when I really don't know which is proper, but @therealfun suggested using "en_US.UTF-8" not "en_US.UTF8". Hopefully that will help.

@timcowchip

This comment has been minimized.

timcowchip commented Jan 8, 2018

Thanks adamvoss I changed "UTF8" to "UTF-8", but its still giving the same error.

@timcowchip

This comment has been minimized.

timcowchip commented Jan 10, 2018

going to close this issue as it is probably distro-dependent

@timcowchip timcowchip closed this Jan 10, 2018

elelay added a commit that referenced this issue Feb 6, 2018

setup.py: specify encoding reading __init__.py
using guess_encoding() from util.py loads too many modules,
so hardcode the encoding to utf-8
see #376
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment